*{
    box-sizing: border-box;
    border: 0;
    margin: 0;
    font-family: 'Josefin Sans', sans-serif;
    color: #000000;
    text-decoration: none;
}

// Extend
.flex{
    display: flex;
    flex-wrap: wrap;
}
.container{
    max-width: 1250px;
    margin: auto;
}

// Header
header{
    @extend .flex;
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    justify-content: space-between;
    z-index: 1;
    @media all and (max-device-width: 900px){
            justify-content: center;
    }
    @media all and (max-width: 480px){
            justify-content: center;
    }
    >a:first-of-type{
        img{
            width: 2rem;
            margin-top: 1rem;
            margin-left: 1rem;
        }
        @media all and (max-device-width: 900px){
            display: none;
        }
        @media all and (max-width: 480px){
            display: none;
        }
    }
    nav{
        margin-right: 1rem;
        a img{
            width: 2rem;
            margin-top: 1rem;
            margin-left: 0.2rem;
            @media all and (max-device-width: 480px){
                width: 5rem;
                margin-top: 2rem;
                margin-left: 3rem;
                margin-bottom: 2rem;
            }
        }
        @media all and (max-device-width: 900px){
            position: fixed;
            width: 100%;
            text-align: center;
            bottom: 0;
            background-color: white;
            margin-right: 0;
        }
        @media all and (max-width: 480px){
            position: fixed;
            width: 100%;
            text-align: center;
            bottom: 0;
            background-color: white;
            margin-right: 0;
        }
    }
    #menu{
        display: none;
        position: fixed;
        width: 2rem;
        top: 1rem;
        left: 1rem;
        @media all and (max-device-width: 900px){
            display: block; 
            width: 2rem;
        }
        @media all and (max-device-width: 480px){
            display: block;
            width: 5rem;
        }
        @media all and (max-width: 480px){
            display: block;
            cursor: pointer;
        }
    }
}

// Main
main{
    @extend .flex;
    @extend .container;
    flex-direction: row-reverse;
    margin-bottom: 200px;
    #leftNav{
        position: fixed;
        top: 0;
        left: 0;
        padding: 1.2rem 0.5rem 0.5rem 1rem;
        @media all and (max-device-width: 480px){
            display: none;
            z-index: 2;
            background-color: #ffffffd1;
        }
        @media all and (max-width: 480px){
            display: none;
            z-index: 2;
            background-color: #ffffffd1;
        }
        div{
            height: 5.1rem;
            font-weight: 700;
            @media all and (max-device-width: 480px){
                    height: 12rem;
            }
            a{
                font-size: .9rem;
                display: block;
                @media all and (max-device-width: 480px){
                    font-size: 2.5rem;
                }
            }
            p{
                font-size: .6rem;
                display: none;
                @media all and (max-device-width: 480px){
                    font-size: 2rem;
                }
            }
        } 
    }
}


html, body {
  height: 100%;
}
body {
  display: flex;
  flex-direction: column;
  flex-shrink: 0;
}
.flexbox {
  flex: 1 0 auto;
}

// Footer
footer{
        background-color: black;
        padding: 0.8rem;
    >div{
        @extend .flex;
        @extend .container;
        align-items: center;
        justify-content: space-between;
        img{
            width: 1.5rem;
            margin-right: 0.5rem;
        }
        >div{
            @extend .flex;
            align-items: center;
        }
        span{
            color: white;
            font-weight: 400;
            font-size: 0.8rem;
        } 
    }
    @media all and (max-device-width: 480px){
        display: none;
    }
}

// Logo
.large{
    width: 45rem;
    transition: .4s;
    padding: 2.5rem;
    @media all and (max-device-width: 480px){
            width: 70rem;
    }
    @media all and (max-width: 900px){
            width: 25rem;
    }
}
.small{
    margin-top: 0.2rem;
    width: 10rem;
    transition: .4s;
    @media all and (max-device-width: 480px){
            width: 20rem;
    }
}

// Tailles logo
.width40{
    width: 40%;
    @media all and (max-device-width: 900px){
            width: 20%;
    }
}
.width45{
    width: 45%;
    @media all and (max-device-width: 900px){
            width: 22.5%;
    }
}
.width65{
    width: 65%;
    @media all and (max-device-width: 900px){
            width: 32.5%;
    }
}

// Fond d'ecran
#blue,#yellow,#pink{
    position: fixed;
    z-index: -1;
}
#blue{
    width: 50rem;    
    bottom: 90%;
    left: 45%;
}
#yellow{
    width: 20rem;
    top: 15%;
    left: 10%;
    @media all and (max-width: 1400px){
        left:  -10%;
    }
}
#pink{
    width: 30rem;
    top: 20%;
    left: 70%;
}
.bgWhite{
    background-color: white;
}
#btnUp{
    position: fixed;
    bottom: 3rem;
    right: 2rem;
    img{
        width: 2rem;
    }
}
.greyScreen{
    position: fixed;
    top:0;
    left:0;
    width: 100%;
    height: 100%;
    background-color: #777777d1;
    z-index: 1;
}

// Galerie d'images
#galery{
    @extend .flex;
    width: 80%;
    @media all and (max-device-width: 900px){
        width: 100%;
    }
    @media all and (max-width: 480px){
        width: 100%;
    }
    >a{
        @extend .flex;
        width: 33.33%;
        position: relative;
        display: inline-block;
        border: 1.2rem solid #ffffff00;
        @media all and (min-device-width: 481px) and (max-device-width: 900px){
            width: 50%;
        }
        @media all and (min-width: 481px) and (max-width: 900px){
            width: 50%;
        }
        @media all and (max-device-width: 480px){
            width: 100%;
            padding: 2rem;
        }
        @media all and (max-width: 480px){
            width: 100%;
        }
        >img{
            width: 100%;
            height: 100%;
        }
        div{
            display: none;
            flex-wrap: wrap;
            flex-direction: column;
            justify-content: center;
            padding: 2rem;
            position: absolute;
            width: 90%;
            height: 90%;
            top: 5%;
            left:5%;
            background-color: white;        
            @media all and (max-device-width: 900px){
                background-color: #ffffffd1;
                height: auto;
                top: auto;
                bottom: 5rem;
            }
            @media all and (max-width: 480px){
                background-color: #ffffffd1;
            }
            img{
                margin-left: auto;
                margin-right: auto;
                margin-bottom: 1.5rem;
            }
            h3,h2,p{
                width: 100%;
                text-align: center;
            }
            h3,h2{
                font-weight: 400;
            }
            h2{  
                font-size: 1.3rem;
                margin-bottom: 0.4rem;
                @media all and (max-device-width: 480px){
                    font-size: 2.5rem;               
                }
            }
            h3{
               font-size: .9rem;
               @media all and (max-device-width: 900px){
                    font-size: 2rem;               
                }
            }
            p{
                margin-top: 1.5rem;
                font-weight: 300;
                font-size: .8rem;
                @media all and (max-device-width: 900px){
                    font-size: 2rem;               
                }
            }
            
        }
    }
}

// Projet
#project{
    @extend .flex;
    justify-content: center;
    width: 80%;
    background-color: #ffffff;
    @media all and (max-device-width: 900px){
        width: 100%;
    }
    @media all and (max-width: 480px){
        width: 100%;
    }
    .button{
        @extend .flex;
        width: 100%;
        justify-content: space-between;
        margin-bottom: 1rem;
        text-transform: uppercase;
        font-weight: 700;
        font-size: 0.7rem;
        @media all and (max-device-width: 900px){
                    font-size: 1.5rem;
        }
        a{
            @extend .flex;
            img{
                width: 1.5rem;
                @media all and (max-device-width: 900px){
                    width: 4rem;
                }
            }
        }
        .btnPrev{
            align-items: center;
            img{
                margin-right: .5rem;
                margin-left: 1rem;
            }
        }
        .btnNext{
            align-items: center;
            img{
                margin-left: .5rem;
                margin-right: 1rem;
            }
        }
        
    }
    .company{
        @extend .flex;
        width: 100%;
        align-items: center;
        margin-top: 2rem;
        p:first-of-type{
            text-align: left;
            font-weight: 300;
            font-size: .9rem;
            padding-right: 3rem;
            margin: 0;
            @media all and (max-device-width: 480px){
                    font-size: 3rem;
            }
        }
        img{
            padding-left: 3rem;
            width: 15%;
            @media all and (max-device-width: 900px){
                width: 20rem;
                margin: auto;
            }
            @media all and (max-width: 900px){
                width: 15rem;
                margin: auto;
            }
        }
        p{
            width: 85%;
            padding-left: 3rem;
            @media all and (max-device-width: 900px){
                width: 100%;
                padding: 3rem;
            }
        }
    }
    .picto{
        @extend .flex;
        justify-content: center;
        width: 100%;
        img{
            width: 2.7rem;
            margin: .5rem .5rem 1.3rem .5rem;
            @media all and (max-device-width: 900px){
                    width: 7rem;
            }
        }
    }
    h2,h3,p{
        width: 100%;
        text-align: center;
    }
    h2,h3{
        text-transform: uppercase;
    }
    h2{
        margin-bottom: .4rem;
        @media all and (max-device-width: 480px){
                    font-size: 4rem;
        }
    }
    h3{
        font-size: .8rem;
        margin-bottom: 2rem;
        @media all and (max-device-width: 480px){
                    font-size: 3rem;
        }
    }
    p{
        font-weight: 300;
        margin-bottom: 2rem;
        @media all and (max-device-width: 480px){
                    font-size: 3rem;
        }
    }
    >img{
        width: 100%;
    }
}